var KEY_GUARDAR="KEY_GUARDAR";

var KEY_GUARDAR_REPETIR="KEY_GUARDAR_REPETIR";

var KEY_CANCELAR="KEY_CANCELAR";

var MODULO = "Cuestionarios";

var esCarga=true;





function onLoadPage() {	

	

	 //Cargamos la provincia

	 cargarTerritoriosLauncher();

	 document.all["cmb_prov"].options[0] = new Option(opcionTodos,"");

	 if(document.all["usuario(codProvincia)"].value=="")

	 {

		 document.all["cmb_prov"].selectedIndex=0;

		 //addOption(document["formDetalleUsuario"].elements["listaMunicipiosSeleccionados"],opcionTodos, "t");		 

	}	 

	 else{

		document.all["cmb_prov"].value =  document.all["usuario(codProvincia)"].value;

		//Aņadimos como primera opcion TODOS

	        //var newOpt = new Option(opcionTodos,  "t");

  	        //document["formDetalleUsuario"].elements["listaMunicipios"].options[0]=newOpt; 

  	         //addOption(document["formDetalleUsuario"].elements["listaMunicipios"],opcionTodos, "t");	

  	 }

  	 	   

	 if (document.forms["formDetalleUsuario"].elements["accion"].value != "KEY_GUARDAR" && document["formDetalleUsuario"].elements["listaMunicipiosSeleccionados"].length==0)

  	    addOption(document["formDetalleUsuario"].elements["listaMunicipiosSeleccionados"],opcionTodos, "t#TODOS");	

  	    		

	 document.all["usuario(nombre)"].focus();

	}





function ponAccion(key){

	

	if(!validaEmail(document["formDetalleUsuario"].elements["usuario(mail)"].value)){//Validamos el formato del email

	  alert(emailNoValido);

	  document.all["usuario(mail)"].focus();	

    }

	else{

	       document.all["usuario(codProvincia)"].value=document.all["cmb_prov"].value;

		for (i=0; i<document["formDetalleUsuario"].elements["listaGruposSeleccionados"].length; i++) {

			document["formDetalleUsuario"].elements["listaGruposSeleccionados"].options[i].selected = true;

		}

		for (i=0; i<document["formDetalleUsuario"].elements["listaGruposNoSeleccionados"].length; i++) {

			document["formDetalleUsuario"].elements["listaGruposNoSeleccionados"].options[i].selected = true;

		}

		for (i=0; i<document["formDetalleUsuario"].elements["listaMunicipios"].length; i++) {

			document["formDetalleUsuario"].elements["listaMunicipios"].options[i].selected = true;

		}

		for (i=0; i<document["formDetalleUsuario"].elements["listaMunicipiosSeleccionados"].length; i++) {

			document["formDetalleUsuario"].elements["listaMunicipiosSeleccionados"].options[i].selected = true;

		}				

		document.forms["formDetalleUsuario"].accion.value=key;

		document.forms["formDetalleUsuario"].submit();

	}

	

}



function submmitFormulario(key){

	document.forms["formDetalleUsuario"].submit();

}





function territorioChange(){	

	//Cargamos el hidden con el valor de la provincia seleccioanda

	 document.all["usuario(codProvincia)"].value = document.all["usuario(codigoProvincia)"].value;

	

	resetearMunicipio();

	

	if(document.forms["formDetalleUsuario"].elements["usuario(codigoProvincia)"].value!="")

		cargarMunicipiosLauncher();		

	else //Ha seleccionado TODOS

		limpiarComboMunicipios();

	

	//A?adimos la opci?n TODOS como la primera opci?n de las combos	

	document.all["usuario(codigoMunicipio)"].options[0] = new Option(opcionTodos,"");

	document.all["usuario(codigoMunicipio)"].selectedIndex=0;

}





function municipioChange(){

	document.all["usuario(codMunicipio)"].value = document.all["usuario(codigoMunicipio)"].value;

}





function resetearMunicipio(){

	document.forms["formDetalleUsuario"].elements["usuario(codigoMunicipio)"].value="";

	if(!esCarga)

		document.forms["formDetalleUsuario"].elements["usuario(codMunicipio)"].value="";

}



function limpiarComboMunicipios(){

	document.all["usuario(codigoMunicipio)"].options.length=0;

}



function anyadirOpcionTodosTerritorios(){

	addOption(document.forms["formDetalleUsuario"].elements["usuario(codigoProvincia)"],opcionTodos,0);

}





function cargarTerritoriosLauncher(){

	//cargarComboDataLauncherOrdenado(MODULO,idioma,"NORA_T17_PROVINCIA","id","ds_o", "usuario(codigoProvincia)", whereTerritorio, "false", true, "ds_o", "ASC");

	cargarComboDataLauncherOrdenado(MODULO,idioma,"NORA_T17_PROVINCIA","id","ds_o", "cmb_prov", whereTerritorio, "false", true, "ds_o", "ASC");

}



function cargarMunicipiosLauncher(){

	where = "PROVINCIA_ID = " + document.forms["formDetalleUsuario"].elements["usuario(codigoProvincia)"].value;

	cargarComboDataLauncherOrdenado(MODULO,idioma,"NORA_T17_MUNICIPIO","id","ds_o", "usuario(codigoMunicipio)", where, "false", true, "ds_o", "ASC");

}



